ATA_TASK_IOCTL(9)

NAME
ata_task_ioctl - Handler for HDIO_DRIVE_TASK ioctl

SYNOPSIS

int ata_task_ioctl (struct scsi_device * scsidev, void __user * arg);

ARGUMENTS

scsidev
    Device to which we are issuing command

arg User provided data for issuing command

LOCKING

Defined by the SCSI layer. We don't really care.

RETURNS

Zero on success, negative errno on error.

AUTHOR
Jeff Garzik.